//
//  SampleLibTest.m
//  ___PROJECTNAMEASIDENTIFIER___
//
//  Created by Douglas Sjoquist on 1/18/11.
//  Copyright 2011 Sunetos, Inc. All rights reserved.
//

#import <GHUnitIOS/GHUnitIOS.h>
#import <OCMock/OCMock.h>
#import "SampleLibClass.h"

@interface SampleLibTest : GHTestCase { }
@end

@implementation SampleLibTest

- (void)setUp {
	// Run before each test method
}

- (void)tearDown {
	// Run after each test method
}

- (void)testSimpleLibPass {
    // ensure sample class is part of build, don't need to actually do anything with it
	SampleLibClass *sampleLibClass = [[SampleLibClass alloc] init];
    [sampleLibClass release];
}

- (void)testSimpleLibFail {	
	GHAssertTrue(NO, nil);
}

// simple test to ensure building, linking, and running test case works in the project
- (void)testOCMockLibPass {
    id mock = [OCMockObject mockForClass:NSString.class];
    [[[mock stub] andReturn:@"mocktest"] lowercaseString];
    
    NSString *returnValue = [mock lowercaseString];
    GHAssertEqualObjects(@"mocktest", returnValue, @"Should have returned the expected string.");
}

- (void)testOCMockLibFail {
    id mock = [OCMockObject mockForClass:NSString.class];
    [[[mock stub] andReturn:@"mocktest"] lowercaseString];
    
    NSString *returnValue = [mock lowercaseString];
    GHAssertEqualObjects(@"thisIsTheWrongValueToCheck", returnValue, @"Should have returned the expected string.");
}

@end
